$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.38.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.38.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EA54712F6008EC23F8E07086AC22B1E96A33CBCE3353BDA0CFECEC9C9E62605B'
  checksumType = 'sha256'
  checksum64 = 'EA54712F6008EC23F8E07086AC22B1E96A33CBCE3353BDA0CFECEC9C9E62605B'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.38-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
